summaryrefslogtreecommitdiffstats
path: root/apps/files_external/tests
diff options
context:
space:
mode:
authorThomas Müller <thomas.mueller@tmit.eu>2016-05-11 09:37:02 +0200
committerThomas Müller <thomas.mueller@tmit.eu>2016-06-17 13:29:24 +0200
commitbac96e7ffc33fc4527656b7703a813555da79f5e (patch)
treea6f22c9b5e12744da3d3fd17006c306fa26fde7f /apps/files_external/tests
parent5d1ef68cf0931b9eb70e960fe9a03575c7cb8650 (diff)
downloadnextcloud-server-bac96e7ffc33fc4527656b7703a813555da79f5e.tar.gz
nextcloud-server-bac96e7ffc33fc4527656b7703a813555da79f5e.zip
Wait for port being accessible in addition to the notify socket
Diffstat (limited to 'apps/files_external/tests')
-rwxr-xr-xapps/files_external/tests/env/start-swift-ceph.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/apps/files_external/tests/env/start-swift-ceph.sh b/apps/files_external/tests/env/start-swift-ceph.sh
index ba17b8f42dd..b73fa899a6d 100755
--- a/apps/files_external/tests/env/start-swift-ceph.sh
+++ b/apps/files_external/tests/env/start-swift-ceph.sh
@@ -74,6 +74,11 @@ if [[ $ready != 'READY=1' ]]; then
docker logs $container
exit 1
fi
+if ! "$thisFolder"/env/wait-for-connection ${host} 80 600; then
+ echo "[ERROR] Waited 600 seconds, no response" >&2
+ docker logs $container
+ exit 1
+fi
echo "Waiting another 15 seconds"
sleep 15